GWT 2.7.0

## com.google.gwt.cell.client
Class ImageCell

    java.lang.Object
      com.google.gwt.cell.client.AbstractCell<java.lang.String>
          com.google.gwt.cell.client.ImageCell

All Implemented Interfaces:
  Cell<java.lang.String>

    public class ImageCell

extends AbstractCell<java.lang.String>

An `AbstractCell` used to render an image. The String value is the url of the image.

If the images being displayed are static or available at compile time, using `ImageResourceCell` will usually be more efficient.

See Also:
  `ImageResourceCell`

Nested Class Summary
`(package private) static interface` | `ImageCell.Template`

Nested classes/interfaces inherited from interface com.google.gwt.cell.client.Cell
`Cell.Context`

Constructor Summary
`ImageCell()` Construct a new ImageCell.

Method Summary
`void` | `render(Cell.Context context, java.lang.String value, SafeHtmlBuilder sb)` Render a cell as HTML into a `SafeHtmlBuilder`, suitable for passing to `Element.setInnerHTML(String)` on a container element.

Methods inherited from class com.google.gwt.cell.client.AbstractCell
`dependsOnSelection, getConsumedEvents, handlesSelection, isEditing, onBrowserEvent, onEnterKeyDown, resetFocus, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageCell

    public ImageCell()

  Construct a new ImageCell.

Method Detail

### render

    public void render(Cell.Context context,
                       java.lang.String value,
                       SafeHtmlBuilder sb)

  Description copied from interface: `Cell`
  Render a cell as HTML into a `SafeHtmlBuilder`, suitable for passing to `Element.setInnerHTML(String)` on a container element.

  Note: If your cell contains natively focusable elements, such as buttons or input elements, be sure to set the tabIndex to -1 so that they do not steal focus away from the containing widget.

  Specified by:
    `render` in interface `Cell<java.lang.String>`
  Specified by:
    `render` in class `AbstractCell<java.lang.String>`
  Parameters:
    `context` - the `Cell.Context` of the cell
    `value` - the cell value to be rendered
    `sb` - the `SafeHtmlBuilder` to be written to

GWT 2.7.0